Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.forms.binding
Class ImportJXPathBinding

    java.lang.Object
      org.apache.cocoon.util.AbstractLogEnabled
          org.apache.cocoon.forms.binding.JXPathBindingBase
              org.apache.cocoon.forms.binding.ImportJXPathBinding

All Implemented Interfaces:
  Binding

public class ImportJXPathBinding
extends JXPathBindingBase

Dummy class cause binding doesn't accept null results from binding builders

Version:
  $Id: ImportJXPathBinding.java 587759 2007-10-24 03:00:37Z vgritsenko $

Field Summary

Fields inherited from class org.apache.cocoon.forms.binding.JXPathBindingBase
`classes, parent`

Constructor Summary
`ImportJXPathBinding()`

Method Summary
`void` | `doLoad(Widget frmModel, org.apache.commons.jxpath.JXPathContext jxpc)` Performs the actual load binding regardless of the configured value of the "direction" attribute.
`void` | `doSave(Widget frmModel, org.apache.commons.jxpath.JXPathContext jxpc)` Performs the actual save binding regardless of the configured value of the "direction" attribute.

Methods inherited from class org.apache.cocoon.forms.binding.JXPathBindingBase
`getClass, getCommonAtts, getEnclosingLibrary, getId, getLocation, isValid, loadFormFromModel, loadFormFromModel, saveFormToModel, saveFormToModel, selectWidget, setEnclosingLibrary, setParent`

Methods inherited from class org.apache.cocoon.util.AbstractLogEnabled
`getLogger, setLogger`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ImportJXPathBinding

    public ImportJXPathBinding()

Method Detail

### doLoad

    public void doLoad(Widget frmModel,
                       org.apache.commons.jxpath.JXPathContext jxpc)
                throws BindingException

  Description copied from class: `JXPathBindingBase`
  Performs the actual load binding regardless of the configured value of the "direction" attribute. Abstract method that subclasses need to implement for specific activity.

  Specified by:
    `doLoad` in class `JXPathBindingBase`
  Throws:
    `BindingException`

### doSave

    public void doSave(Widget frmModel,
                       org.apache.commons.jxpath.JXPathContext jxpc)
                throws BindingException

  Description copied from class: `JXPathBindingBase`
  Performs the actual save binding regardless of the configured value of the "direction" attribute. Abstract method that subclasses need to implement for specific activity.

  Specified by:
    `doSave` in class `JXPathBindingBase`
  Throws:
    `BindingException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2008 The Apache Software Foundation. All Rights Reserved.